import { ChevronDown } from '../../icons';
import { AccordionVariant } from './types';
export declare const CollapsableContainer: import("styled-components").StyledComponent<"div", import("styled-components").DefaultTheme, {
    isCollapsed: boolean;
}, never>;
export declare const AccordionContent: import("styled-components").StyledComponent<"div", import("styled-components").DefaultTheme, {
    isCollapsed: boolean;
}, never>;
export declare const AccordionChevron: import("styled-components").StyledComponent<typeof ChevronDown, import("styled-components").DefaultTheme, {}, never>;
export declare const AccordionHeader: import("styled-components").StyledComponent<"button", import("styled-components").DefaultTheme, {
    isCollapsed: boolean;
}, never>;
export declare const AccordionHeaderPrimaryRow: import("styled-components").StyledComponent<"div", import("styled-components").DefaultTheme, {}, never>;
export declare const AccordionHeaderTitle: import("styled-components").StyledComponent<"span", import("styled-components").DefaultTheme, {
    variant: AccordionVariant;
}, never>;
export declare const AccordionHeaderSecondaryRow: import("styled-components").StyledComponent<"div", import("styled-components").DefaultTheme, {}, never>;
export declare const AccordionWrapper: import("styled-components").StyledComponent<"div", import("styled-components").DefaultTheme, {
    hasDivider?: boolean | undefined;
}, never>;
